Bug 1418409 - [abrt] tracker: g_slist_prepend(): tracker-store killed by SIGSEGV
Summary: [abrt] tracker: g_slist_prepend(): tracker-store killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:df4c8e435dce245862e903b2d8f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 18:47 UTC by Mikhail
Modified: 2017-12-12 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:33:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.67 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: cgroup (148 bytes, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: core_backtrace (4.23 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: dso_list (2.91 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: environ (1.42 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: exploitable (123 bytes, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: maps (15.91 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: mountinfo (4.46 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: open_fds (1.66 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-02-01 18:47 UTC, Mikhail
no flags Details

Description Mikhail 2017-02-01 18:47:02 UTC
Version-Release number of selected component:
tracker-1.10.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-store
crash_function: g_slist_prepend
executable:     /usr/libexec/tracker-store
global_pid:     20589
kernel:         4.9.6-200.fc25.x86_64+debug
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_prepend at gslist.c:255
 #1 g_object_notify_queue_add at gobject.c:311
 #2 object_set_property at gobject.c:1432
 #3 g_object_new_internal at gobject.c:1817
 #4 g_object_new_valist at gobject.c:2042
 #6 g_zlib_compressor_new at gzlibcompressor.c:285
 #7 tracker_db_journal_rotate at tracker-db-journal.c:2160
 #8 tracker_db_journal_commit_db_transaction at tracker-db-journal.c:1213
 #9 tracker_data_commit_transaction at tracker-data-update.c:3379
 #10 update_sparql at tracker-data-update.c:3515

Comment 1 Mikhail 2017-02-01 18:47:08 UTC
Created attachment 1246773 [details]
File: backtrace

Comment 2 Mikhail 2017-02-01 18:47:09 UTC
Created attachment 1246774 [details]
File: cgroup

Comment 3 Mikhail 2017-02-01 18:47:11 UTC
Created attachment 1246775 [details]
File: core_backtrace

Comment 4 Mikhail 2017-02-01 18:47:12 UTC
Created attachment 1246776 [details]
File: dso_list

Comment 5 Mikhail 2017-02-01 18:47:14 UTC
Created attachment 1246777 [details]
File: environ

Comment 6 Mikhail 2017-02-01 18:47:15 UTC
Created attachment 1246778 [details]
File: exploitable

Comment 7 Mikhail 2017-02-01 18:47:17 UTC
Created attachment 1246779 [details]
File: limits

Comment 8 Mikhail 2017-02-01 18:47:18 UTC
Created attachment 1246780 [details]
File: maps

Comment 9 Mikhail 2017-02-01 18:47:20 UTC
Created attachment 1246781 [details]
File: mountinfo

Comment 10 Mikhail 2017-02-01 18:47:21 UTC
Created attachment 1246782 [details]
File: namespaces

Comment 11 Mikhail 2017-02-01 18:47:23 UTC
Created attachment 1246783 [details]
File: open_fds

Comment 12 Mikhail 2017-02-01 18:47:24 UTC
Created attachment 1246784 [details]
File: proc_pid_status

Comment 13 Mikhail 2017-02-01 18:47:27 UTC
Created attachment 1246785 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:29:57 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:33:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.